local M = {}

local throttleInput = 0
local breakValue = 100
local currentStress = 0
local beamName = "transCrack"
local beamCid = 2
local currentGear = 0
local clutchPercent = 0

local function init(jbeamData)
    for _, beam in pairs (v.data.beams) do
        if beam.tag == beamName then beamCid = beam.cid end
    end    
end

local function updateGFX(dt)
    currentGear = electrics.values.gear_M
    throttleInput = electrics.values.throttle
    clutchPercent = electrics.values.clutch
    local torqueApplication = throttleInput-clutchPercent
    print (torqueApplication)

    if currentGear == 1 then
        if torqueApplication >= 0.4 then
                obj:breakBeam(beamCid)
        end
    end
    if currentGear == 2 then
        if torqueApplication >= 0.7 then
                obj:breakBeam(beamCid)
        end
    end
end

-- public interface
M.init = init
M.reset = init
M.updateGFX = updateGFX

return M
